API

Electronic Media Search Direct API

The AI-powered Broadcast Media Monitor provides 360° Global Media Data & Intelligence on Television networks, radio stations, broadcast channels, and audiovisual news producers.

APIリファレンス バージョン: 1.0.0 4 エンドポイント 認証
Broadcast Media Monitor

ベース URL

https://pressmonitor.com/api

認証

すべてのリクエストには x-api-key と x-subscription-id ヘッダーが必要です。x-api-key はアカウントを認証し、x-subscription-id は購読サービスを選択します。

x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID
GET /headlines

Headlines

パラメータ

名前 タイプ 場所 必須 説明
keywords_text string query はい Keywords text parameter
lang_code string query いいえ Lang code parameter
country_code string query いいえ Country code parameter
count integer query いいえ Count parameter
cursor string query いいえ Cursor parameter
sort string query いいえ Sort order (date or relevance)
date_from string query いいえ Start date for news (YYYY-MM-DD format)
date_to string query いいえ End date for news (YYYY-MM-DD format)

コード例

curl -X GET \
  "https://pressmonitor.com/api/headlines?keywords_text=VALUE&lang_code=VALUE&country_code=VALUE&count=VALUE&cursor=VALUE&sort=VALUE&date_from=VALUE&date_to=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

レスポンス

200 Success
GET /briefs

Briefs

パラメータ

名前 タイプ 場所 必須 説明
keywords_text string query はい Keywords text parameter
lang_code string query いいえ Lang code parameter
country_code string query いいえ Country code parameter
count integer query いいえ Count parameter
cursor string query いいえ Cursor parameter
sort string query いいえ Sort order (date or relevance)
date_from string query いいえ Start date for news (YYYY-MM-DD format)
date_to string query いいえ End date for news (YYYY-MM-DD format)

コード例

curl -X GET \
  "https://pressmonitor.com/api/briefs?keywords_text=VALUE&lang_code=VALUE&country_code=VALUE&count=VALUE&cursor=VALUE&sort=VALUE&date_from=VALUE&date_to=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

レスポンス

200 Success
GET /fulltext

Fulltext

パラメータ

名前 タイプ 場所 必須 説明
keywords_text string query はい Keywords text parameter
lang_code string query いいえ Lang code parameter
country_code string query いいえ Country code parameter
count integer query いいえ Count parameter
cursor string query いいえ Cursor parameter
sort string query いいえ Sort order (date or relevance)
date_from string query いいえ Start date for news (YYYY-MM-DD format)
date_to string query いいえ End date for news (YYYY-MM-DD format)

コード例

curl -X GET \
  "https://pressmonitor.com/api/fulltext?keywords_text=VALUE&lang_code=VALUE&country_code=VALUE&count=VALUE&cursor=VALUE&sort=VALUE&date_from=VALUE&date_to=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

レスポンス

200 Success
GET /clip

Clip

パラメータ

名前 タイプ 場所 必須 説明
id string query はい Clip/article ID to resolve
date string query はい Date of the clip (YYYY-MM-DD)
ns string query いいえ Namespace prefix for multi-tenant index resolution
host string query いいえ Host name for tenant resolution
ttl integer query いいえ Signed URL time-to-live in seconds

コード例

curl -X GET \
  "https://pressmonitor.com/api/clip?id=VALUE&date=VALUE&ns=VALUE&host=VALUE&ttl=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

レスポンス

200 Success